=== debian/control ===
Source: ros-jazzy-mrpt-map-server
Section: misc
Priority: optional
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-lint-auto, ros-jazzy-ament-lint-common, ros-jazzy-mp2p-icp, ros-jazzy-mrpt-msgs, ros-jazzy-mrpt-nav-interfaces, ros-jazzy-mrpt2, ros-jazzy-nav-msgs, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-ros-workspace
Homepage: https://github.com/mrpt-ros-pkg/mrpt_navigation
Standards-Version: 3.9.2

Package: ros-jazzy-mrpt-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ament-lint-auto, ros-jazzy-ament-lint-common, ros-jazzy-mp2p-icp, ros-jazzy-mrpt-msgs, ros-jazzy-mrpt-nav-interfaces, ros-jazzy-mrpt2, ros-jazzy-nav-msgs, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-ros-workspace
Description: This package provides a ROS 2 node that publishes a static map for other nodes to use it.
 Unlike classic ROS 1 ``map_server``, this node can publish a range of different metric maps, not only occupancy grids.
